Delete database user
curl --request DELETE \
--url https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users/{username} \
--header 'Authorization: <authorization>'import requests
url = "https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users/{username}"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://api.falkordb.cloud/v1/customer-ldap/instances/{instanceId}/users/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Database users
Delete database user
Remove a database user from a deployment instance.
DELETE
/
v1
/
customer-ldap
/
instances
/
{instanceId}
/
users
/
{username}
Delete database user
Deletes a database user. Applications still using those credentials fail to authenticate immediately.
The default user created with the instance cannot be deleted.
This endpoint uses the FalkorDB API host and bearer token authentication. See Database users overview.
Authorization
Path parameters
string
required
ID of the deployment instance.
string
required
Username of the database user to delete.
Query parameters
string
required
Subscription that owns the instance.
Response
string
Confirmation message.
Errors
Returns401 Unauthorized when the bearer token is missing or expired.⌘I